BEGIN transaction;
-- 1 устанавливает номер телефона
UPDATE Client SET phone=1337228 WHERE id=1;
-- 2 после утсанавления первого, просматривает номер телефона
SELECT phone FROM Client WHERE id=1;

ROLLBACK WORK;

-- Пояснение
-- Если использовать ReadUncommitted,
-- то вторая транзакция получит неправильный номер телефона,
-- который мы апдейтнули в первой,
-- а затем откатили, т.е произойдет грязное чтение.
